<?php

namespace App\Http\Controllers;

use App\Models\PaymentType;
use Illuminate\Http\Request;
use Inertia\Inertia;

class PaymentTypeController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $paymentType = PaymentType::all();
        return Inertia::render('list-admin/payment/PaymentType', [
            'paymentType' => $paymentType,
            'fields' => [
                'payment_type' => 'text'
            ]
        ]);
    }

    public function store(Request $request)
    {
        //
    }

    public function update(Request $request, PaymentType $paymentType)
    {
        //
    }

    public function destroy(PaymentType $paymentType)
    {
        //
    }
}
